__gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType > Class Template Reference
Inheritance diagram for __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >:
[legend]

## Public Types

typedef _SecondArgumentType | argument_type
typedef _ResultType | result_type

## Public Member Functions

| __binder1st (const _Operation &__x, const _FirstArgumentType &__y)
_ResultType | operator() (const _SecondArgumentType &__x)
_ResultType | operator() (_SecondArgumentType &__x) const

## Protected Attributes

_Operation | _M_op
_FirstArgumentType | _M_value

## Detailed Description

### template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>
class __gnu_parallel::__binder1st< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >

Similar to std::binder1st, but giving the argument types explicitly.

Definition at line 192 of file parallel/base.h.

## Member Typedef Documentation

## argument_type

typedef _SecondArgumentType std::unary_function< _SecondArgumentType , _ResultType >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 108 of file stl_function.h.

## result_type

typedef _ResultType std::unary_function< _SecondArgumentType , _ResultType >::result_type

inherited

`result_type` is the return type

Definition at line 111 of file stl_function.h.

The documentation for this class was generated from the following file:

- parallel/base.h